| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::BoolGrammar::definition< ScannerT > Struct Template Reference

`#include <Grammars.h>`

List of all members.

## Detailed Description

### template<typename ScannerT>
struct Gaudi::Parsers::BoolGrammar::definition< ScannerT >

Definition at line 92 of file Grammars.h.

## Public Member Functions
| definition (BoolGrammar const &self)
rule< ScannerT > const & | start () const
## Public Attributes
rule< ScannerT > | boolean_literal
rule< ScannerT > | true_literal
rule< ScannerT > | false_literal

## Constructor & Destructor Documentation

template<typename ScannerT>

Gaudi::Parsers::BoolGrammar::definition< ScannerT >::definition | ( | BoolGrammar const & | self | ) | `[inline]`

Definition at line 94 of file Grammars.h.

References Gaudi::Parsers::BoolGrammar::definition< ScannerT >::boolean_literal, Gaudi::Parsers::BoolGrammar::definition< ScannerT >::false_literal, and Gaudi::Parsers::BoolGrammar::definition< ScannerT >::true_literal.

    00095         {
    00096           boolean_literal
    00097             = true_literal[self.val = true] | false_literal[self.val = false];
    00098           true_literal
    00099             = str_p("true" ) | str_p("True" ) | str_p("TRUE" ) | str_p("1");
    00100           false_literal
    00101             = str_p("false") | str_p("False") | str_p("FALSE") | str_p("0");
    00102         }

## Member Function Documentation

template<typename ScannerT>

rule<ScannerT> const& Gaudi::Parsers::BoolGrammar::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 103 of file Grammars.h.

References Gaudi::Parsers::BoolGrammar::definition< ScannerT >::boolean_literal.

    00104         { return boolean_literal;}

## Member Data Documentation

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::BoolGrammar::definition< ScannerT >::boolean_literal

Definition at line 105 of file Grammars.h.

Referenced by Gaudi::Parsers::BoolGrammar::definition< ScannerT >::definition(), and Gaudi::Parsers::BoolGrammar::definition< ScannerT >::start().

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::BoolGrammar::definition< ScannerT >::true_literal

Definition at line 105 of file Grammars.h.

Referenced by Gaudi::Parsers::BoolGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::BoolGrammar::definition< ScannerT >::false_literal

Definition at line 105 of file Grammars.h.

Referenced by Gaudi::Parsers::BoolGrammar::definition< ScannerT >::definition().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h